Gentoo Archives: gentoo-commits

From: "Robin H. Johnson (robbat2)" <robbat2@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in dev-vcs/git: ChangeLog git-1.7.8_rc4.ebuild
Date: Tue, 29 Nov 2011 00:21:10
Message-Id: 20111129002059.D76202004B@flycatcher.gentoo.org
1 robbat2 11/11/29 00:20:59
2
3 Modified: ChangeLog
4 Added: git-1.7.8_rc4.ebuild
5 Log:
6 Version bump.
7
8 (Portage version: 2.2.0_alpha70/cvs/Linux x86_64)
9
10 Revision Changes Path
11 1.111 dev-vcs/git/ChangeLog
12
13 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.111&view=markup
14 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?rev=1.111&content-type=text/plain
15 diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/ChangeLog?r1=1.110&r2=1.111
16
17 Index: ChangeLog
18 ===================================================================
19 RCS file: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v
20 retrieving revision 1.110
21 retrieving revision 1.111
22 diff -p -w -b -B -u -u -r1.110 -r1.111
23 --- ChangeLog 22 Nov 2011 18:44:42 -0000 1.110
24 +++ ChangeLog 29 Nov 2011 00:20:59 -0000 1.111
25 @@ -1,6 +1,11 @@
26 # ChangeLog for dev-vcs/git
27 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
28 -# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.110 2011/11/22 18:44:42 pacho Exp $
29 +# $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/ChangeLog,v 1.111 2011/11/29 00:20:59 robbat2 Exp $
30 +
31 +*git-1.7.8_rc4 (29 Nov 2011)
32 +
33 + 29 Nov 2011; Robin H. Johnson <robbat2@g.o> +git-1.7.8_rc4.ebuild:
34 + Version bump.
35
36 22 Nov 2011; Pacho Ramos <pacho@g.o> metadata.xml:
37 Drop maintainer due retirement, bug #195316
38
39
40
41 1.1 dev-vcs/git/git-1.7.8_rc4.ebuild
42
43 file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.8_rc4.ebuild?rev=1.1&view=markup
44 plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-vcs/git/git-1.7.8_rc4.ebuild?rev=1.1&content-type=text/plain
45
46 Index: git-1.7.8_rc4.ebuild
47 ===================================================================
48 # Copyright 1999-2011 Gentoo Foundation
49 # Distributed under the terms of the GNU General Public License v2
50 # $Header: /var/cvsroot/gentoo-x86/dev-vcs/git/git-1.7.8_rc4.ebuild,v 1.1 2011/11/29 00:20:59 robbat2 Exp $
51
52 EAPI=4
53
54 GENTOO_DEPEND_ON_PERL=no
55
56 # bug #329479: git-remote-testgit is not multiple-version aware
57 PYTHON_DEPEND="python? 2"
58 [[ ${PV} == *9999 ]] && SCM="git-2"
59 EGIT_REPO_URI="git://git.kernel.org/pub/scm/git/git.git"
60
61 inherit toolchain-funcs eutils elisp-common perl-module bash-completion-r1 python ${SCM}
62
63 MY_PV="${PV/_rc/.rc}"
64 MY_P="${PN}-${MY_PV}"
65
66 DOC_VER=${MY_PV}
67
68 DESCRIPTION="GIT - the stupid content tracker, the revision control system heavily used by the Linux kernel team"
69 HOMEPAGE="http://www.git-scm.com/"
70 if [[ ${PV} != *9999 ]]; then
71 SRC_URI_SUFFIX="gz"
72 SRC_URI_GOOG="http://git-core.googlecode.com/files"
73 SRC_URI_KORG="mirror://kernel/software/scm/git"
74 SRC_URI="${SRC_URI_GOOG}/${MY_P}.tar.${SRC_URI_SUFFIX}
75 ${SRC_URI_KORG}/${MY_P}.tar.${SRC_URI_SUFFIX}
76 ${SRC_URI_GOOG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
77 ${SRC_URI_KORG}/${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
78 doc? (
79 ${SRC_URI_KORG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
80 ${SRC_URI_GOOG}/${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
81 )"
82 KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~ia64-hpux ~x86-interix ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
83 else
84 SRC_URI=""
85 KEYWORDS=""
86 fi
87
88 LICENSE="GPL-2"
89 SLOT="0"
90 IUSE="+blksha1 +curl cgi doc emacs gtk iconv +perl +python ppcsha1 tk +threads +webdav xinetd cvs subversion"
91
92 # Common to both DEPEND and RDEPEND
93 CDEPEND="
94 !blksha1? ( dev-libs/openssl )
95 sys-libs/zlib
96 perl? ( dev-lang/perl[-build] dev-libs/libpcre )
97 tk? ( dev-lang/tk )
98 curl? (
99 net-misc/curl
100 webdav? ( dev-libs/expat )
101 )
102 emacs? ( virtual/emacs )"
103
104 RDEPEND="${CDEPEND}
105 perl? ( dev-perl/Error
106 dev-perl/Net-SMTP-SSL
107 dev-perl/Authen-SASL
108 cgi? ( virtual/perl-CGI )
109 cvs? ( >=dev-vcs/cvsps-2.1 dev-perl/DBI dev-perl/DBD-SQLite )
110 subversion? ( dev-vcs/subversion[-dso,perl] dev-perl/libwww-perl dev-perl/TermReadKey )
111 )
112 python? ( gtk?
113 (
114 >=dev-python/pygtk-2.8
115 dev-python/pygtksourceview:2
116 ) )"
117
118 # This is how info docs are created with Git:
119 # .txt/asciidoc --(asciidoc)---------> .xml/docbook
120 # .xml/docbook --(docbook2texi.pl)--> .texi
121 # .texi --(makeinfo)---------> .info
122 DEPEND="${CDEPEND}
123 app-arch/cpio
124 doc? (
125 app-text/asciidoc
126 app-text/docbook2X
127 sys-apps/texinfo
128 )"
129
130 # Live ebuild builds man pages and HTML docs, additionally
131 if [[ ${PV} == *9999 ]]; then
132 DEPEND="${DEPEND}
133 app-text/asciidoc
134 app-text/xmlto"
135 fi
136
137 SITEFILE=50${PN}-gentoo.el
138 S="${WORKDIR}/${MY_P}"
139
140 REQUIRED_USE="
141 cgi? ( perl )
142 cvs? ( perl )
143 subversion? ( perl )
144 webdav? ( curl )
145 "
146
147 pkg_setup() {
148 if use subversion && has_version dev-vcs/subversion && built_with_use --missing false dev-vcs/subversion dso ; then
149 ewarn "Per Gentoo bugs #223747, #238586, when subversion is built"
150 ewarn "with USE=dso, there may be weird crashes in git-svn. You"
151 ewarn "have been warned."
152 fi
153 if use python ; then
154 python_set_active_version 2
155 python_pkg_setup
156 fi
157 }
158
159 # This is needed because for some obscure reasons future calls to make don't
160 # pick up these exports if we export them in src_unpack()
161 exportmakeopts() {
162 local myopts
163
164 if use blksha1 ; then
165 myopts="${myopts} BLK_SHA1=YesPlease"
166 elif use ppcsha1 ; then
167 myopts="${myopts} PPC_SHA1=YesPlease"
168 fi
169
170 if use curl ; then
171 use webdav || myopts="${myopts} NO_EXPAT=YesPlease"
172 else
173 myopts="${myopts} NO_CURL=YesPlease"
174 fi
175
176 # broken assumptions, because of broken build system ...
177 myopts="${myopts} NO_FINK=YesPlease NO_DARWIN_PORTS=YesPlease"
178 myopts="${myopts} INSTALL=install TAR=tar"
179 myopts="${myopts} SHELL_PATH=${EPREFIX}/bin/sh"
180 myopts="${myopts} SANE_TOOL_PATH="
181 myopts="${myopts} OLD_ICONV="
182 myopts="${myopts} NO_EXTERNAL_GREP="
183
184 # can't define this to null, since the entire makefile depends on it
185 sed -i -e '/\/usr\/local/s/BASIC_/#BASIC_/' Makefile
186
187 use iconv \
188 || einfo "Forcing iconv for ${PVR} due to bugs #321895, #322205."
189 # || myopts="${myopts} NO_ICONV=YesPlease"
190 # because, above, we need to do this unconditionally (no "&& use iconv")
191 use !elibc_glibc && myopts="${myopts} NEEDS_LIBICONV=YesPlease"
192
193 use tk \
194 || myopts="${myopts} NO_TCLTK=YesPlease"
195 use perl \
196 && myopts="${myopts} INSTALLDIRS=vendor USE_LIBPCRE=yes" \
197 || myopts="${myopts} NO_PERL=YesPlease"
198 use python \
199 || myopts="${myopts} NO_PYTHON=YesPlease"
200 use subversion \
201 || myopts="${myopts} NO_SVN_TESTS=YesPlease"
202 use threads \
203 && myopts="${myopts} THREADED_DELTA_SEARCH=YesPlease"
204 use cvs \
205 || myopts="${myopts} NO_CVS=YesPlease"
206 # Disabled until ~m68k-mint can be keyworded again
207 # if [[ ${CHOST} == *-mint* ]] ; then
208 # myopts="${myopts} NO_MMAP=YesPlease"
209 # myopts="${myopts} NO_IPV6=YesPlease"
210 # myopts="${myopts} NO_STRLCPY=YesPlease"
211 # myopts="${myopts} NO_MEMMEM=YesPlease"
212 # myopts="${myopts} NO_MKDTEMP=YesPlease"
213 # myopts="${myopts} NO_MKSTEMPS=YesPlease"
214 # fi
215 if [[ ${CHOST} == ia64-*-hpux* ]]; then
216 myopts="${myopts} NO_NSEC=YesPlease"
217 fi
218 if [[ ${CHOST} == *-*-aix* ]]; then
219 myopts="${myopts} NO_FNMATCH_CASEFOLD=YesPlease"
220 fi
221
222 has_version '>=app-text/asciidoc-8.0' \
223 && myopts="${myopts} ASCIIDOC8=YesPlease"
224 myopts="${myopts} ASCIIDOC_NO_ROFF=YesPlease"
225
226 # Bug 290465:
227 # builtin-fetch-pack.c:816: error: 'struct stat' has no member named 'st_mtim'
228 [[ "${CHOST}" == *-uclibc* ]] && \
229 myopts="${myopts} NO_NSEC=YesPlease"
230
231 export MY_MAKEOPTS="${myopts}"
232 }
233
234 src_unpack() {
235 if [[ ${PV} != *9999 ]]; then
236 unpack ${MY_P}.tar.${SRC_URI_SUFFIX}
237 cd "${S}"
238 unpack ${PN}-manpages-${DOC_VER}.tar.${SRC_URI_SUFFIX}
239 use doc && \
240 cd "${S}"/Documentation && \
241 unpack ${PN}-htmldocs-${DOC_VER}.tar.${SRC_URI_SUFFIX}
242 cd "${S}"
243 else
244 git-2_src_unpack
245 cd "${S}"
246 #cp "${FILESDIR}"/GIT-VERSION-GEN .
247 fi
248
249 }
250
251 src_prepare() {
252 # Noperl is being merged to upstream as of 2009/04/05
253 #epatch "${FILESDIR}"/20090305-git-1.6.2-noperl.patch
254
255 # GetOpt-Long v2.38 is strict
256 # Merged in 1.6.3 final 2009/05/07
257 #epatch "${FILESDIR}"/20090505-git-1.6.2.5-getopt-fixes.patch
258
259 # JS install fixup
260 # Merged in 1.7.5.x
261 #epatch "${FILESDIR}"/git-1.7.2-always-install-js.patch
262
263 # USE=-iconv causes segfaults, fixed post 1.7.1
264 # Gentoo bug #321895
265 #epatch "${FILESDIR}"/git-1.7.1-noiconv-segfault-fix.patch
266
267 # Fix false positives with t3404 due to SHELL=/bin/false for the portage
268 # user.
269 # Merged upstream
270 #epatch "${FILESDIR}"/git-1.7.3.4-avoid-shell-issues.patch
271
272 # bug #350075: t9001: fix missing prereq on some tests
273 # Merged upstream
274 #epatch "${FILESDIR}"/git-1.7.3.4-fix-perl-test-prereq.patch
275
276 # bug #350330 - automagic CVS when we don't want it is bad.
277 epatch "${FILESDIR}"/git-1.7.3.5-optional-cvs.patch
278
279 sed -i \
280 -e 's:^\(CFLAGS =\).*$:\1 $(OPTCFLAGS) -Wall:' \
281 -e 's:^\(LDFLAGS =\).*$:\1 $(OPTLDFLAGS):' \
282 -e 's:^\(CC = \).*$:\1$(OPTCC):' \
283 -e 's:^\(AR = \).*$:\1$(OPTAR):' \
284 -e "s:\(PYTHON_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
285 -e "s:\(PERL_PATH = \)\(.*\)$:\1${EPREFIX}\2:" \
286 Makefile || die "sed failed"
287
288 # Never install the private copy of Error.pm (bug #296310)
289 sed -i \
290 -e '/private-Error.pm/s,^,#,' \
291 perl/Makefile.PL
292
293 # Fix docbook2texi command
294 sed -i 's/DOCBOOK2X_TEXI=docbook2x-texi/DOCBOOK2X_TEXI=docbook2texi.pl/' \
295 Documentation/Makefile || die "sed failed"
296
297 # bug #318289
298 # Merged upstream
299 #epatch "${FILESDIR}"/git-1.7.3.2-interix.patch
300
301 # merged upstream
302 #epatch "${FILESDIR}"/git-1.7.5-interix.patch
303
304 # merged upstream
305 #epatch "${FILESDIR}"/git-1.7.6-interix.patch
306 }
307
308 git_emake() {
309 # bug #326625: PERL_PATH, PERL_MM_OPT
310 # bug #320647: PYTHON_PATH
311 PYTHON_PATH=""
312 use python && PYTHON_PATH="$(PYTHON -a)"
313 emake ${MY_MAKEOPTS} \
314 DESTDIR="${D}" \
315 OPTCFLAGS="${CFLAGS}" \
316 OPTLDFLAGS="${LDFLAGS}" \
317 OPTCC="$(tc-getCC)" \
318 OPTAR="$(tc-getAR)" \
319 prefix="${EPREFIX}"/usr \
320 htmldir="${EPREFIX}"/usr/share/doc/${PF}/html \
321 sysconfdir="${EPREFIX}"/etc \
322 PYTHON_PATH="${PYTHON_PATH}" \
323 PERL_MM_OPT="" \
324 GIT_TEST_OPTS="--no-color" \
325 "$@"
326 # This is the fix for bug #326625, but it also causes breakage, see bug
327 # #352693.
328 # PERL_PATH="${EPREFIX}/usr/bin/env perl" \
329 }
330
331 src_configure() {
332 exportmakeopts
333 }
334
335 src_compile() {
336 git_emake || die "emake failed"
337
338 if use emacs ; then
339 elisp-compile contrib/emacs/git{,-blame}.el \
340 || die "emacs modules failed"
341 fi
342
343 if use perl && use cgi ; then
344 git_emake \
345 gitweb/gitweb.cgi \
346 || die "emake gitweb/gitweb.cgi failed"
347 fi
348
349 cd "${S}"/Documentation
350 if [[ ${PV} == *9999 ]] ; then
351 git_emake man \
352 || die "emake man failed"
353 if use doc ; then
354 git_emake info html \
355 || die "emake info html failed"
356 fi
357 else
358 if use doc ; then
359 git_emake info \
360 || die "emake info html failed"
361 fi
362 fi
363 }
364
365 src_install() {
366 git_emake \
367 install || \
368 die "make install failed"
369
370 # Depending on the tarball and manual rebuild of the documentation, the
371 # manpages may exist in either OR both of these directories.
372 find man?/*.[157] >/dev/null 2>&1 && doman man?/*.[157]
373 find Documentation/*.[157] >/dev/null 2>&1 && doman Documentation/*.[157]
374
375 dodoc README Documentation/{SubmittingPatches,CodingGuidelines}
376 use doc && dodir /usr/share/doc/${PF}/html
377 for d in / /howto/ /technical/ ; do
378 docinto ${d}
379 dodoc Documentation${d}*.txt
380 use doc && dohtml -p ${d} Documentation${d}*.html
381 done
382 docinto /
383 # Upstream does not ship this pre-built :-(
384 use doc && doinfo Documentation/{git,gitman}.info
385
386 newbashcomp contrib/completion/git-completion.bash ${PN}
387
388 if use emacs ; then
389 elisp-install ${PN} contrib/emacs/git.{el,elc} || die
390 elisp-install ${PN} contrib/emacs/git-blame.{el,elc} || die
391 #elisp-install ${PN}/compat contrib/emacs/vc-git.{el,elc} || die
392 # don't add automatically to the load-path, so the sitefile
393 # can do a conditional loading
394 touch "${ED}${SITELISP}/${PN}/compat/.nosearch"
395 elisp-site-file-install "${FILESDIR}"/${SITEFILE} || die
396 fi
397
398 if use python && use gtk ; then
399 dobin "${S}"/contrib/gitview/gitview
400 python_convert_shebangs ${PYTHON_ABI} "${ED}"/usr/bin/gitview
401 dodoc "${S}"/contrib/gitview/gitview.txt
402 fi
403
404 dobin contrib/fast-import/git-p4
405 dodoc contrib/fast-import/git-p4.txt
406 newbin contrib/fast-import/import-tars.perl import-tars
407 newbin contrib/git-resurrect.sh git-resurrect
408
409 dodir /usr/share/${PN}/contrib
410 # The following are excluded:
411 # completion - installed above
412 # emacs - installed above
413 # examples - these are stuff that is not used in Git anymore actually
414 # gitview - installed above
415 # p4import - excluded because fast-import has a better one
416 # patches - stuff the Git guys made to go upstream to other places
417 # svnimport - use git-svn
418 # thunderbird-patch-inline - fixes thunderbird
419 for i in \
420 blameview buildsystems ciabot continuous convert-objects fast-import \
421 hg-to-git hooks remotes2config.sh remotes2config.sh rerere-train.sh \
422 stats svn-fe vim workdir \
423 ; do
424 cp -rf \
425 "${S}"/contrib/${i} \
426 "${ED}"/usr/share/${PN}/contrib \
427 || die "Failed contrib ${i}"
428 done
429
430 if use perl && use cgi ; then
431 # We used to install in /usr/share/${PN}/gitweb
432 # but upstream installs in /usr/share/gitweb
433 # so we will install a symlink and use their location for compat with other
434 # distros
435 dosym /usr/share/gitweb /usr/share/${PN}/gitweb
436
437 # INSTALL discusses configuration issues, not just installation
438 docinto /
439 newdoc "${S}"/gitweb/INSTALL INSTALL.gitweb
440 newdoc "${S}"/gitweb/README README.gitweb
441
442 find "${ED}"/usr/lib64/perl5/ \
443 -name .packlist \
444 -exec rm \{\} \;
445 else
446 rm -rf "${ED}"/usr/share/gitweb
447 fi
448
449 if ! use subversion ; then
450 rm -f "${ED}"/usr/libexec/git-core/git-svn \
451 "${ED}"/usr/share/man/man1/git-svn.1*
452 fi
453
454 if use xinetd ; then
455 insinto /etc/xinetd.d
456 newins "${FILESDIR}"/git-daemon.xinetd git-daemon
457 fi
458
459 newinitd "${FILESDIR}"/git-daemon.initd git-daemon
460 newconfd "${FILESDIR}"/git-daemon.confd git-daemon
461
462 fixlocalpod
463 }
464
465 src_test() {
466 local disabled=""
467 local tests_cvs="t9200-git-cvsexportcommit.sh \
468 t9400-git-cvsserver-server.sh \
469 t9401-git-cvsserver-crlf.sh \
470 t9600-cvsimport.sh \
471 t9601-cvsimport-vendor-branch.sh \
472 t9602-cvsimport-branches-tags.sh \
473 t9603-cvsimport-patchsets.sh"
474 local tests_perl="t5502-quickfetch.sh \
475 t5512-ls-remote.sh \
476 t5520-pull.sh"
477 # Bug #225601 - t0004 is not suitable for root perm
478 # Bug #219839 - t1004 is not suitable for root perm
479 # t0001-init.sh - check for init notices EPERM* fails
480 local tests_nonroot="t0001-init.sh \
481 t0004-unwritable.sh \
482 t0070-fundamental.sh \
483 t1004-read-tree-m-u-wf.sh \
484 t3700-add.sh \
485 t7300-clean.sh"
486
487 # Unzip is used only for the testcase code, not by any normal parts of Git.
488 if ! has_version app-arch/unzip ; then
489 einfo "Disabling tar-tree tests"
490 disabled="${disabled} t5000-tar-tree.sh"
491 fi
492
493 cvs=0
494 use cvs && let cvs=$cvs+1
495 if [[ ${EUID} -eq 0 ]]; then
496 if [[ $cvs -eq 1 ]]; then
497 ewarn "Skipping CVS tests because CVS does not work as root!"
498 ewarn "You should retest with FEATURES=userpriv!"
499 disabled="${disabled} ${tests_cvs}"
500 fi
501 einfo "Skipping other tests that require being non-root"
502 disabled="${disabled} ${tests_nonroot}"
503 else
504 [[ $cvs -gt 0 ]] && \
505 has_version dev-vcs/cvs && \
506 let cvs=$cvs+1
507 [[ $cvs -gt 1 ]] && \
508 built_with_use dev-vcs/cvs server && \
509 let cvs=$cvs+1
510 if [[ $cvs -lt 3 ]]; then
511 einfo "Disabling CVS tests (needs dev-vcs/cvs[USE=server])"
512 disabled="${disabled} ${tests_cvs}"
513 fi
514 fi
515
516 if ! use perl ; then
517 einfo "Disabling tests that need Perl"
518 disabled="${disabled} ${tests_perl}"
519 fi
520
521 # Reset all previously disabled tests
522 cd "${S}/t"
523 for i in *.sh.DISABLED ; do
524 [[ -f "${i}" ]] && mv -f "${i}" "${i%.DISABLED}"
525 done
526 einfo "Disabled tests:"
527 for i in ${disabled} ; do
528 [[ -f "${i}" ]] && mv -f "${i}" "${i}.DISABLED" && einfo "Disabled $i"
529 done
530
531 # Avoid the test system removing the results because we want them ourselves
532 sed -e '/^[[:space:]]*$(MAKE) clean/s,^,#,g' \
533 -i "${S}"/t/Makefile
534
535 # Clean old results first
536 cd "${S}/t"
537 git_emake clean
538
539 # Now run the tests
540 cd "${S}"
541 einfo "Start test run"
542 git_emake test
543 rc=$?
544
545 # Display nice results
546 cd "${S}/t"
547 git_emake aggregate-results
548
549 # And exit
550 [ $rc -eq 0 ] || die "tests failed. Please file a bug."
551 }
552
553 showpkgdeps() {
554 local pkg=$1
555 shift
556 elog " $(printf "%-17s:" ${pkg}) ${@}"
557 }
558
559 pkg_postinst() {
560 use emacs && elisp-site-regen
561 use python && python_mod_optimize git_remote_helpers
562 einfo "Please read /usr/share/bash-completion/git for Git bash completion"
563 elog "These additional scripts need some dependencies:"
564 echo
565 showpkgdeps git-quiltimport "dev-util/quilt"
566 showpkgdeps git-instaweb \
567 "|| ( www-servers/lighttpd www-servers/apache )"
568 echo
569 }
570
571 pkg_postrm() {
572 use emacs && elisp-site-regen
573 use python && python_mod_cleanup git_remote_helpers
574 }